#!/bin/sh
# set wakeup time for the next recording

test -e /etc/default/vdr && . /etc/default/vdr
test -e /etc/vdr/nexttimer && . /etc/vdr/nexttimer

# current time
cur_time=`date +%s`

# how many seconds before the next event the system should be booted
boot_time=$((${BOOT_TIME:-2} * 60))
down_time=$((${DOWN_TIME:-1} * 60))

if [ "$utctime" ] ; then
	if [ $utctime -eq 0 ] ; then 
		# no timer set
		wake_time=$(( $cur_time - $boot_time ))
	else
		if [ $difftime -lt $(( $boot_time + $down_time )) ] ; then
			echo " Time to next wakeup time is to short"
			exit 1
		fi
		wake_time=$(( $utctime - $boot_time ))
	fi

	if [ -e /sys/class/rtc/rtc0/wakealarm ]; then
		echo 0 > /sys/class/rtc/rtc0/wakealarm || exit 2
		echo $wake_time > /sys/class/rtc/rtc0/wakealarm || exit 2
		echo $wake_time > /sys/class/rtc/rtc0/wakealarm
	elif [ -e /proc/acpi/alarm ]; then
		date -d @$wake_time "+%Y-%m-%d %H:%M:%S" >/proc/acpi/alarm || exit 2
		date -d @$wake_time "+%Y-%m-%d %H:%M:%S" >/proc/acpi/alarm
	else
		echo " No timer device found"
		if [ $utctime -ne 0 ] ; then 
			exit 2
		fi
	fi
fi
exit 0
